Page MenuHomePhabricator

RevisionSlider should not assume that revision ids increase in time
Closed, ResolvedPublic

Description

Apparently RevisionSlider assumes in some parts of its logic that revision ids increase in time. That's not always the case and leads to strange behavior.

e.g. see https://www.mediawiki.org/w/index.php?title=Extension%3AExpandCss&type=revision&diff=50164&oldid=51766

Taken from feedback in: https://www.mediawiki.org/wiki/Topic:Tpejiph9fv818kil

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2017, 8:40 AM
WMDE-Fisch moved this task from Proposed to Sprint ready on the WMDE-QWERTY-Team board.
WMDE-Fisch moved this task from Sprint ready to Todo on the WMDE-QWERTY-Team board.May 8 2017, 9:07 AM
Lea_WMDE moved this task from Incoming to Doing on the Revision-Slider board.May 8 2017, 12:18 PM

Change 352801 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/RevisionSlider@master] Do not assume revIds increase in time

https://gerrit.wikimedia.org/r/352801

Change 352801 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Do not assume that revIds increase in time

https://gerrit.wikimedia.org/r/352801

Tobi_WMDE_SW closed this task as Resolved.Jun 6 2017, 1:15 PM
Tobi_WMDE_SW moved this task from Currently in sprint to Done on the WMDE-QWERTY-Team board.
Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Jun 6 2017, 2:45 PM